Country (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.data

## Class Country

- java.lang.Object
- - org.apache.geode.cache.query.data.Country

- All Implemented Interfaces:
    java.io.Serializable

      public class Country
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `continent`
    `java.lang.String` | `name`
    `java.util.Set` | `states`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Country(int i, int numStates, int numDistricts, int numCities, int numVillages)`
    `Country(int i, java.util.Set states)`
    `Country(java.lang.String name, java.lang.String continent, java.util.Set states)` Creates a new instance of Country

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `getRegion()`
    `java.util.Set` | `getStates()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### continent

          public java.lang.String continent

    - #### states

          public java.util.Set states

  - ### Constructor Detail

    - #### Country

          public Country(java.lang.String name,
                         java.lang.String continent,
                         java.util.Set states)

      Creates a new instance of Country

    - #### Country

          public Country(int i,
                         java.util.Set states)

    - #### Country

          public Country(int i,
                         int numStates,
                         int numDistricts,
                         int numCities,
                         int numVillages)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getRegion

          public java.lang.String getRegion()

    - #### getStates

          public java.util.Set getStates()